/*
 * Written by Dawid Kurzyniec and released to the public domain, as explained
 * at http://creativecommons.org/licenses/publicdomain
 */

package edu.emory.mathcs.util.gc;

import edu.emory.mathcs.backport.java.util.concurrent.*;
import edu.emory.mathcs.util.concurrent.*;

public interface FinalizationFuture extends Future {

    boolean addCompletionCallback(Callback cb);
    boolean finalizeNow();
    boolean enqueue();
    boolean isEnqueued();
    boolean isPending();
    boolean isRunning();
}
